// Twist32Dlg.h : header file
//

#if !defined(AFX_TWIST32DLG_H__1FAD8028_826F_11D1_8F7A_444553540001__INCLUDED_)
#define AFX_TWIST32DLG_H__1FAD8028_826F_11D1_8F7A_444553540001__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTwist32Dlg dialog

class CTwist32Dlg : public CDialog
{
// Construction
public:
	CTwist32Dlg(CWnd* pParent = NULL);	// standard constructor
	~CTwist32Dlg();	// standard destructor

// Dialog Data
	//{{AFX_DATA(CTwist32Dlg)
	enum { IDD = IDD_TWIST32_DIALOG };
	double	m_dAngle;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTwist32Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTwist32Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnCalculate();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnHelpButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bFileOpen;  
	CStdioFile* m_pInputFile;  
	void TidyUp(CStdioFile*& pFile);
	void CalcNewPoint(int x, int y, int& newX, int& newY, double dAngle);
	CString m_sInputFileName;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TWIST32DLG_H__1FAD8028_826F_11D1_8F7A_444553540001__INCLUDED_)
